Bug 441808 - Applying configuration changes to toolbars removes their move handles until Krita is restarted
Summary: Applying configuration changes to toolbars removes their move handles until K...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 5.0.0-beta1
Platform: Appimage Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-31 10:19 UTC by tomtomtomreportingin
Modified: 2021-10-21 09:07 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tomtomtomreportingin 2021-08-31 10:19:33 UTC
SUMMARY
Configuring the toolbars makes the toolbars unmovable for the rest of the session, in both Krita 4 and Krita 5.

STEPS TO REPRODUCE
1. In the menu bar, go to Settings -> Configure Toolbars.
2. Add "About Krita" action to a toolbar.
3. Apply changes.

OBSERVED RESULT
The move handles on the toolbars are now gone until Krita is restarted.

EXPECTED RESULT
The move handles shouldn't disappear.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Debian sid
KDE Plasma Version: 5.21.5
KDE Frameworks Version: 5.85.0
Qt Version: 5.12.11 (Appimage)
Comment 1 Bug Janitor Service 2021-10-21 03:29:36 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/krita/-/merge_requests/1114
Comment 2 Halla Rempt 2021-10-21 09:07:04 UTC
Git commit befe2d10b9c2354acae47f32c9555271e013cfe3 by Halla Rempt, on behalf of Tom Tom Tom.
Committed on 21/10/2021 at 09:06.
Pushed by rempt into branch 'master'.

Fix toolbars becoming immovable after configuration

M  +3    -3    libs/ui/KisMainWindow.cpp

https://invent.kde.org/graphics/krita/commit/befe2d10b9c2354acae47f32c9555271e013cfe3
Comment 3 Halla Rempt 2021-10-21 09:07:45 UTC
Git commit c8e0415adacacbb41a514016b9c49045132f09f8 by Halla Rempt, on behalf of Tom Tom Tom.
Committed on 21/10/2021 at 09:07.
Pushed by rempt into branch 'krita/5.0'.

Fix toolbars becoming immovable after configuration


(cherry picked from commit befe2d10b9c2354acae47f32c9555271e013cfe3)

M  +3    -3    libs/ui/KisMainWindow.cpp

https://invent.kde.org/graphics/krita/commit/c8e0415adacacbb41a514016b9c49045132f09f8